// FullAccess
resource "azurerm_role_definition" "app_service_fullaccess_definition" {
  name              = "app-service-fullaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.CertificateRegistration/provisionGlobalAppServicePrincipalInUserTenant/Action",
      "Microsoft.CertificateRegistration/validateCertificateRegistrationInformation/Action",
      "Microsoft.CertificateRegistration/register/action",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Write",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Delete",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Read",
      "Microsoft.CertificateRegistration/certificateOrders/Write",
      "Microsoft.CertificateRegistration/certificateOrders/Delete",
      "Microsoft.CertificateRegistration/certificateOrders/Read",
      "Microsoft.CertificateRegistration/certificateOrders/reissue/Action",
      "Microsoft.CertificateRegistration/certificateOrders/renew/Action",
      "Microsoft.CertificateRegistration/certificateOrders/retrieveCertificateActions/Action",
      "Microsoft.CertificateRegistration/certificateOrders/retrieveEmailHistory/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendEmail/Action",
      "Microsoft.CertificateRegistration/certificateOrders/verifyDomainOwnership/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendRequestEmails/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendRequestEmails/Action",
      "Microsoft.CertificateRegistration/operations/Read",
      "microsoft.web/unregister/action",
      "microsoft.web/validate/action",
      "microsoft.web/register/action",
      "microsoft.web/verifyhostingenvironmentvnet/action",
      "Microsoft.Web/sites/Read",
      "Microsoft.Web/sites/Write",
      "Microsoft.Web/sites/Delete",
      "Microsoft.Web/sites/backup/Action",
      "Microsoft.Web/sites/publishxml/Action",
      "Microsoft.Web/sites/publish/Action",
      "Microsoft.Web/sites/restart/Action",
      "Microsoft.Web/sites/start/Action",
      "Microsoft.Web/sites/stop/Action",
      "Microsoft.Web/sites/slotsswap/Action",
      "Microsoft.Web/sites/slotsdiffs/Action",
      "Microsoft.Web/sites/applySlotConfig/Action",
      "Microsoft.Web/sites/resetSlotConfig/Action",
      "Microsoft.Web/sites/PrivateEndpointConnectionsApproval/action",
      "microsoft.web/sites/functions/action",
      "microsoft.web/sites/listsyncfunctiontriggerstatus/action",
      "microsoft.web/sites/networktrace/action",
      "microsoft.web/sites/newpassword/action",
      "microsoft.web/sites/sync/action",
      "microsoft.web/sites/migratemysql/action",
      "microsoft.web/sites/recover/action",
      "microsoft.web/sites/restoresnapshot/action",
      "microsoft.web/sites/restorefromdeletedwebapp/action",
      "microsoft.web/sites/syncfunctiontriggers/action",
      "microsoft.web/sites/backups/action",
      "microsoft.web/sites/containerlogs/action",
      "microsoft.web/sites/restorefrombackupblob/action",
      "Microsoft.Web/sites/slots/Write",
      "Microsoft.Web/sites/slots/Delete",
      "Microsoft.Web/sites/slots/backup/Action",
      "Microsoft.Web/sites/slots/publishxml/Action",
      "Microsoft.Web/sites/slots/publish/Action",
      "Microsoft.Web/sites/slots/restart/Action",
      "Microsoft.Web/sites/slots/start/Action",
      "Microsoft.Web/sites/slots/stop/Action",
      "Microsoft.Web/sites/slots/slotsswap/Action",
      "Microsoft.Web/sites/slots/slotsdiffs/Action",
      "Microsoft.Web/sites/slots/applySlotConfig/Action",
      "Microsoft.Web/sites/slots/resetSlotConfig/Action",
      "Microsoft.Web/sites/slots/Read",
      "microsoft.web/sites/slots/newpassword/action",
      "microsoft.web/sites/slots/sync/action",
      "microsoft.web/sites/slots/networktrace/action",
      "microsoft.web/sites/slots/recover/action",
      "microsoft.web/sites/slots/restoresnapshot/action",
      "microsoft.web/sites/slots/restorefromdeletedwebapp/action",
      "microsoft.web/sites/slots/backups/action",
      "microsoft.web/sites/slots/containerlogs/action",
      "microsoft.web/sites/slots/restorefrombackupblob/action",
      "Microsoft.Web/sites/slots/config/Read",
      "Microsoft.Web/sites/slots/config/list/Action",
      "Microsoft.Web/sites/slots/config/Write",
      "microsoft.web/sites/slots/config/delete",
      "Microsoft.Web/sites/config/Read",
      "Microsoft.Web/sites/config/list/Action",
      "Microsoft.Web/sites/config/Write",
      "microsoft.web/sites/config/delete",
      "Microsoft.Web/sites/sourcecontrols/Read",
      "Microsoft.Web/sites/sourcecontrols/Write",
      "Microsoft.Web/sites/sourcecontrols/Delete",
      "Microsoft.Web/sites/slots/sourcecontrols/Read",
      "Microsoft.Web/sites/slots/sourcecontrols/Write",
      "Microsoft.Web/sites/slots/sourcecontrols/Delete",
      "Microsoft.Web/sites/backups/Read",
      "microsoft.web/sites/backups/list/action",
      "microsoft.web/sites/backups/restore/action",
      "microsoft.web/sites/backups/delete",
      "microsoft.web/sites/backups/write",
      "Microsoft.Web/sites/slots/backups/Read",
      "microsoft.web/sites/slots/backups/list/action",
      "microsoft.web/sites/slots/backups/restore/action",
      "microsoft.web/sites/slots/backups/delete",
      "Microsoft.Web/serverfarms/Read",
      "Microsoft.Web/serverfarms/Write",
      "Microsoft.Web/serverfarms/Delete",
      "Microsoft.Web/serverfarms/restartSites/Action",
      "Microsoft.Web/certificates/Read",
      "Microsoft.Web/certificates/Write",
      "Microsoft.Web/certificates/Delete",
      "Microsoft.Web/geoRegions/Read",
      "Microsoft.Web/listSitesAssignedToHostName/Read",
      "Microsoft.Web/hostingEnvironments/Read",
      "Microsoft.Web/hostingEnvironments/Write",
      "Microsoft.Web/hostingEnvironments/Delete",
      "Microsoft.Web/hostingEnvironments/Join/Action",
      "Microsoft.Web/hostingEnvironments/reboot/Action",
      "Microsoft.Web/hostingEnvironments/PrivateEndpointConnectionsApproval/action",
      "microsoft.web/hostingenvironments/resume/action",
      "microsoft.web/hostingenvironments/suspend/action",
      "Microsoft.Web/hostingEnvironments/multiRolePools/Read",
      "Microsoft.Web/hostingEnvironments/multiRolePools/Write",
      "Microsoft.Web/hostingEnvironments/workerPools/Read",
      "Microsoft.Web/hostingEnvironments/workerPools/Write",
      "Microsoft.Web/connections/Read",
      "Microsoft.Web/connections/Write",
      "Microsoft.Web/connections/Delete",
      "Microsoft.Web/connections/Move/Action",
      "Microsoft.Web/connections/Join/Action",
      "microsoft.web/connections/confirmconsentcode/action",
      "microsoft.web/connections/listconsentlinks/action",
      "Microsoft.Web/customApis/Read",
      "Microsoft.Web/customApis/Write",
      "Microsoft.Web/customApis/Delete",
      "Microsoft.Web/customApis/Move/Action",
      "Microsoft.Web/customApis/Join/Action",
      "Microsoft.Web/customApis/extractApiDefinitionFromWsdl/Action",
      "Microsoft.Web/customApis/listWsdlInterfaces/Action",
      "Microsoft.Web/connectionGateways/Read",
      "Microsoft.Web/connectionGateways/Write",
      "Microsoft.Web/connectionGateways/Delete",
      "Microsoft.Web/connectionGateways/Move/Action",
      "Microsoft.Web/connectionGateways/Join/Action",
      "Microsoft.Web/connectionGateways/ListStatus/Action",
      "Microsoft.Web/recommendations/Read",
      "Microsoft.Web/sites/recommendations/Read",
      "microsoft.web/sites/recommendations/disable/action",
      "microsoft.web/availablestacks/read",
      "microsoft.web/checknameavailability/read",
      "microsoft.web/classicmobileservices/read",
      "microsoft.web/deploymentlocations/read",
      "microsoft.web/hostingenvironments/capacities/read",
      "microsoft.web/hostingenvironments/diagnostics/read",
      "microsoft.web/hostingenvironments/metricdefinitions/read",
      "microsoft.web/hostingenvironments/multirolepools/metricdefinitions/read",
      "microsoft.web/hostingenvironments/multirolepools/metrics/read",
      "microsoft.web/hostingenvironments/multirolepools/skus/read",
      "microsoft.web/hostingenvironments/multirolepools/usages/read",
      "microsoft.web/hostingenvironments/operations/read",
      "microsoft.web/hostingenvironments/serverfarms/read",
      "microsoft.web/hostingenvironments/sites/read",
      "microsoft.web/hostingenvironments/usages/read",
      "microsoft.web/hostingenvironments/workerpools/metricdefinitions/read",
      "microsoft.web/hostingenvironments/workerpools/metrics/read",
      "microsoft.web/hostingenvironments/workerpools/skus/read",
      "microsoft.web/hostingenvironments/workerpools/usages/read",
      "microsoft.web/ishostingenvironmentnameavailable/read",
      "microsoft.web/ishostnameavailable/read",
      "microsoft.web/isusernameavailable/read",
      "microsoft.web/locations/apioperations/read",
      "microsoft.web/locations/connectiongatewayinstallations/read",
      "microsoft.web/locations/managedapis/read",
      "Microsoft.Web/locations/managedapis/Join/Action",
      "microsoft.web/locations/managedapis/apioperations/read",
      "microsoft.web/operations/read",
      "microsoft.web/publishingusers/read",
      "microsoft.web/publishingusers/write",
      "microsoft.web/serverfarms/capabilities/read",
      "microsoft.web/serverfarms/firstpartyapps/settings/delete",
      "microsoft.web/serverfarms/firstpartyapps/settings/read",
      "microsoft.web/serverfarms/firstpartyapps/settings/write",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/sites/read",
      "microsoft.web/serverfarms/hybridconnectionplanlimits/read",
      "microsoft.web/serverfarms/hybridconnectionrelays/read",
      "microsoft.web/serverfarms/metricdefinitions/read",
      "microsoft.web/serverfarms/metrics/read",
      "microsoft.web/serverfarms/operationresults/read",
      "microsoft.web/serverfarms/sites/read",
      "microsoft.web/serverfarms/skus/read",
      "microsoft.web/serverfarms/usages/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/gateways/write",
      "microsoft.web/serverfarms/virtualnetworkconnections/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/delete",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/write",
      "microsoft.web/serverfarms/workers/reboot/action",
      "microsoft.web/sites/analyzecustomhostname/read",
      "microsoft.web/sites/backup/read",
      "microsoft.web/sites/backup/write",
      "microsoft.web/sites/continuouswebjobs/delete",
      "microsoft.web/sites/continuouswebjobs/read",
      "microsoft.web/sites/continuouswebjobs/start/action",
      "microsoft.web/sites/continuouswebjobs/stop/action",
      "microsoft.web/sites/deployments/delete",
      "microsoft.web/sites/deployments/read",
      "microsoft.web/sites/deployments/write",
      "microsoft.web/sites/deployments/log/read",
      "microsoft.web/sites/diagnostics/frebanalysis/read",
      "microsoft.web/sites/slots/diagnostics/frebanalysis/read",
      "microsoft.web/sites/diagnostics/read",
      "microsoft.web/sites/diagnostics/runtimeavailability/read",
      "microsoft.web/sites/diagnostics/servicehealth/read",
      "microsoft.web/sites/diagnostics/workeravailability/read",
      "microsoft.web/sites/slots/diagnostics/workeravailability/read",
      "microsoft.web/sites/diagnostics/workerprocessrecycle/read",
      "microsoft.web/sites/slots/diagnostics/workerprocessrecycle/read",
      "microsoft.web/sites/diagnostics/aspnetcore/read",
      "microsoft.web/sites/slots/diagnostics/aspnetcore/read",
      "microsoft.web/sites/domainownershipidentifiers/read",
      "microsoft.web/sites/domainownershipidentifiers/write",
      "microsoft.web/sites/functions/delete",
      "microsoft.web/sites/functions/listsecrets/action",
      "microsoft.web/sites/functions/read",
      "microsoft.web/sites/functions/write",
      "microsoft.web/sites/hostnamebindings/delete",
      "microsoft.web/sites/hostnamebindings/read",
      "microsoft.web/sites/hostnamebindings/write",
      "microsoft.web/sites/hybridconnection/delete",
      "microsoft.web/sites/hybridconnection/read",
      "microsoft.web/sites/hybridconnection/write",
      "microsoft.web/sites/hybridconnectionrelays/read",
      "microsoft.web/sites/instances/deployments/read",
      "microsoft.web/sites/instances/deployments/delete",
      "microsoft.web/sites/instances/processes/delete",
      "microsoft.web/sites/instances/processes/read",
      "microsoft.web/sites/instances/read",
      "microsoft.web/sites/metricdefinitions/read",
      "microsoft.web/sites/metrics/read",
      "microsoft.web/sites/operationresults/read",
      "microsoft.web/sites/perfcounters/read",
      "microsoft.web/sites/premieraddons/delete",
      "microsoft.web/sites/premieraddons/read",
      "microsoft.web/sites/premieraddons/write",
      "microsoft.web/sites/publishxml/read",
      "microsoft.web/sites/recommendationhistory/read",
      "microsoft.web/sites/restore/read",
      "microsoft.web/sites/restore/write",
      "microsoft.web/sites/slots/analyzecustomhostname/read",
      "microsoft.web/sites/slots/backup/write",
      "microsoft.web/sites/slots/backup/read",
      "microsoft.web/sites/slots/continuouswebjobs/delete",
      "microsoft.web/sites/slots/continuouswebjobs/read",
      "microsoft.web/sites/slots/continuouswebjobs/start/action",
      "microsoft.web/sites/slots/continuouswebjobs/stop/action",
      "microsoft.web/sites/slots/deployments/delete",
      "microsoft.web/sites/slots/deployments/read",
      "microsoft.web/sites/slots/deployments/write",
      "microsoft.web/sites/slots/deployments/log/read",
      "microsoft.web/sites/slots/hostnamebindings/delete",
      "microsoft.web/sites/slots/hostnamebindings/read",
      "microsoft.web/sites/slots/hostnamebindings/write",
      "microsoft.web/sites/slots/hybridconnection/delete",
      "microsoft.web/sites/slots/hybridconnection/read",
      "microsoft.web/sites/slots/hybridconnection/write",
      "microsoft.web/sites/slots/instances/deployments/read",
      "microsoft.web/sites/slots/instances/processes/read",
      "microsoft.web/sites/slots/instances/processes/delete",
      "microsoft.web/sites/slots/instances/read",
      "microsoft.web/sites/slots/metricdefinitions/read",
      "microsoft.web/sites/slots/metrics/read",
      "microsoft.web/sites/slots/operationresults/read",
      "microsoft.web/sites/slots/phplogging/read",
      "microsoft.web/sites/slots/premieraddons/delete",
      "microsoft.web/sites/slots/premieraddons/read",
      "microsoft.web/sites/slots/premieraddons/write",
      "microsoft.web/sites/slots/restore/read",
      "microsoft.web/sites/slots/restore/write",
      "microsoft.web/sites/slots/triggeredwebjobs/delete",
      "microsoft.web/sites/slots/triggeredwebjobs/read",
      "microsoft.web/sites/slots/triggeredwebjobs/run/action",
      "microsoft.web/sites/slots/usages/read",
      "microsoft.web/sites/slots/virtualnetworkconnections/delete",
      "microsoft.web/sites/slots/virtualnetworkconnections/read",
      "microsoft.web/sites/slots/virtualnetworkconnections/write",
      "microsoft.web/sites/slots/virtualnetworkconnections/gateways/write",
      "microsoft.web/sites/slots/webjobs/read",
      "microsoft.web/sites/snapshots/read",
      "microsoft.web/sites/triggeredwebjobs/delete",
      "microsoft.web/sites/triggeredwebjobs/read",
      "microsoft.web/sites/triggeredwebjobs/run/action",
      "microsoft.web/sites/usages/read",
      "microsoft.web/sites/virtualnetworkconnections/delete",
      "microsoft.web/sites/virtualnetworkconnections/read",
      "microsoft.web/sites/virtualnetworkconnections/write",
      "microsoft.web/sites/virtualnetworkconnections/gateways/read",
      "microsoft.web/sites/virtualnetworkconnections/gateways/write",
      "microsoft.web/sites/webjobs/read",
      "microsoft.web/skus/read",
      "microsoft.web/sourcecontrols/read",
      "microsoft.web/sourcecontrols/write",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/read",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/listkeys/action",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/write",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/read",
      "microsoft.web/sites/metricsdefinitions/read",
      "microsoft.web/sites/migratemysql/read",
      "Microsoft.Web/deletedSites/Read",
      "microsoft.web/sites/siteextensions/delete",
      "microsoft.web/sites/siteextensions/read",
      "microsoft.web/sites/siteextensions/write",
      "microsoft.web/sites/slots/hybridconnectionrelays/read",
      "microsoft.web/sites/slots/siteextensions/delete",
      "microsoft.web/sites/slots/siteextensions/read",
      "microsoft.web/sites/slots/siteextensions/write",
      "microsoft.web/sites/slots/snapshots/read",
      "microsoft.web/sites/triggeredwebjobs/history/read",
      "microsoft.web/sites/diagnostics/deployment/read",
      "microsoft.web/sites/diagnostics/sitecpuanalysis/read",
      "microsoft.web/sites/diagnostics/sitelatency/read",
      "microsoft.web/sites/diagnostics/sitememoryanalysis/read",
      "microsoft.web/sites/diagnostics/threadcount/read",
      "microsoft.web/sites/slots/diagnostics/deployment/read",
      "microsoft.web/sites/slots/diagnostics/sitecpuanalysis/read",
      "microsoft.web/sites/slots/diagnostics/sitelatency/read",
      "microsoft.web/sites/slots/diagnostics/sitememoryanalysis/read",
      "microsoft.web/sites/slots/diagnostics/threadcount/read",
      "microsoft.web/sites/functions/masterkey/read",
      "microsoft.web/sites/operations/read",
      "microsoft.web/sites/resourcehealthmetadata/read",
      "microsoft.web/sites/slots/domainownershipidentifiers/read",
      "microsoft.web/sites/slots/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/slots/hybridconnectionnamespaces/relays/write",
      "microsoft.web/sites/slots/operations/read",
      "microsoft.web/sites/slots/perfcounters/read",
      "microsoft.web/sites/slots/resourcehealthmetadata/read",
      "microsoft.web/apimanagementaccounts/apiacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/read",
      "microsoft.web/apimanagementaccounts/apis/connections/confirmconsentcode/action",
      "microsoft.web/apimanagementaccounts/apis/connections/delete",
      "microsoft.web/apimanagementaccounts/apis/connections/getconsentlinks/action",
      "microsoft.web/apimanagementaccounts/apis/connections/write",
      "microsoft.web/apimanagementaccounts/apis/connections/listconnectionkeys/action",
      "microsoft.web/apimanagementaccounts/apis/connections/listsecrets/action",
      "microsoft.web/apimanagementaccounts/apis/read",
      "microsoft.web/apimanagementaccounts/apis/delete",
      "microsoft.web/apimanagementaccounts/apis/write",
      "microsoft.web/apimanagementaccounts/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/apiacls/delete",
      "microsoft.web/apimanagementaccounts/apis/apiacls/read",
      "microsoft.web/apimanagementaccounts/apis/apiacls/write",
      "microsoft.web/apimanagementaccounts/apis/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/delete",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/write",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/delete",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/read",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/write",
      "microsoft.web/sites/diagnostics/deployments/read",
      "microsoft.web/sites/slots/diagnostics/deployments/read",
      "microsoft.web/sites/diagnostics/loganalyzer/read",
      "microsoft.web/sites/slots/diagnostics/loganalyzer/read",
      "microsoft.web/sites/diagnostics/sitecrashes/read",
      "microsoft.web/sites/slots/diagnostics/sitecrashes/read",
      "microsoft.web/sites/diagnostics/siterestartsettingupdate/read",
      "microsoft.web/sites/slots/diagnostics/siterestartsettingupdate/read",
      "microsoft.web/sites/diagnostics/siterestartuserinitiated/read",
      "microsoft.web/sites/slots/diagnostics/siterestartuserinitiated/read",
      "microsoft.web/sites/diagnostics/siteswap/read",
      "microsoft.web/sites/slots/diagnostics/siteswap/read",
      "microsoft.web/sites/functions/token/read",
      "microsoft.web/sites/processes/read",
      "microsoft.web/sites/publiccertificates/delete",
      "microsoft.web/sites/publiccertificates/read",
      "microsoft.web/sites/publiccertificates/write",
      "microsoft.web/sites/diagnostics/autoheal/read",
      "microsoft.web/sites/slots/diagnostics/autoheal/read",
      "microsoft.web/sites/slots/diagnostics/read",
      "microsoft.web/sites/slots/diagnostics/runtimeavailability/read",
      "microsoft.web/sites/slots/diagnostics/servicehealth/read",
      "microsoft.web/sites/slots/migratemysql/read",
      "microsoft.web/sites/diagnostics/failedrequestsperuri/read",
      "microsoft.web/sites/diagnostics/detectors/read",
      "microsoft.web/sites/diagnostics/detectors/execute/Action",
      "microsoft.web/sites/diagnostics/analyses/read",
      "microsoft.web/sites/diagnostics/analyses/execute/Action",
      "microsoft.web/sites/slots/diagnostics/analyses/read",
      "microsoft.web/sites/slots/diagnostics/analyses/execute/Action",
      "microsoft.web/sites/slots/diagnostics/detectors/read",
      "microsoft.web/sites/slots/diagnostics/detectors/execute/Action",
      "microsoft.web/locations/extractapidefinitionfromwsdl/action",
      "microsoft.web/locations/listwsdlinterfaces/action",
      "microsoft.web/locations/deleteVirtualNetworkOrSubnets/action",
      "microsoft.web/resourcehealthmetadata/read",
      "microsoft.web/sites/slots/publiccertificates/read",
      "microsoft.web/sites/slots/publiccertificates/write",
      "microsoft.web/sites/slots/publiccertificates/delete",
      "microsoft.web/hostingenvironments/inboundnetworkdependenciesendpoints/read",
      "microsoft.web/hostingenvironments/outboundnetworkdependenciesendpoints/read",
      "microsoft.web/hostingenvironments/detectors/read",
      "microsoft.web/sites/detectors/read",
      "microsoft.web/sites/instances/processes/threads/read",
      "microsoft.web/sites/privateaccess/read",
      "microsoft.web/sites/slots/detectors/read",
      "Microsoft.Web/sites/hostruntime/host/_master/read",
      "Microsoft.Web/sites/hostruntime/host/action",
      "microsoft.web/sites/config/snapshots/read",
      "microsoft.web/sites/slots/functions/read",
      "microsoft.web/sites/slots/functions/listsecrets/action",
      "microsoft.web/sites/containerlogs/download/action",
      "microsoft.web/sites/hostruntime/functions/keys/read",
      "microsoft.web/sites/hostruntime/host/read",
      "microsoft.web/sites/instances/processes/modules/read",
      "microsoft.web/sites/slots/containerlogs/download/action",
      "microsoft.web/sites/slots/processes/read",
      "microsoft.web/sites/networktraces/operationresults/read",
      "microsoft.web/sites/slots/networktraces/operationresults/read",
      "microsoft.web/sites/processes/modules/read",
      "microsoft.web/sites/processes/threads/read",
      "microsoft.web/sites/extensions/delete",
      "microsoft.web/sites/extensions/read",
      "microsoft.web/sites/extensions/write",
      "microsoft.web/sites/instances/extensions/read",
      "microsoft.web/sites/instances/extensions/log/read",
      "microsoft.web/sites/instances/extensions/processes/read",
    ]

    not_actions = []
  }
}

// ReadOnly
resource "azurerm_role_definition" "app_service_readonly_definition" {
  name              = "app-service-readonly-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Read",
      "Microsoft.CertificateRegistration/certificateOrders/Read",
      "Microsoft.CertificateRegistration/operations/Read",
      "Microsoft.Web/sites/Read",
      "Microsoft.Web/sites/slots/Read",
      "Microsoft.Web/sites/slots/config/Read",
      "Microsoft.Web/sites/config/Read",
      "Microsoft.Web/sites/sourcecontrols/Read",
      "Microsoft.Web/sites/slots/sourcecontrols/Read",
      "Microsoft.Web/sites/backups/Read",
      "Microsoft.Web/sites/slots/backups/Read",
      "Microsoft.Web/serverfarms/Read",
      "Microsoft.Web/certificates/Read",
      "Microsoft.Web/geoRegions/Read",
      "Microsoft.Web/listSitesAssignedToHostName/Read",
      "Microsoft.Web/hostingEnvironments/Read",
      "Microsoft.Web/hostingEnvironments/multiRolePools/Read",
      "Microsoft.Web/hostingEnvironments/workerPools/Read",
      "Microsoft.Web/connections/Read",
      "Microsoft.Web/customApis/Read",
      "Microsoft.Web/connectionGateways/Read",
      "Microsoft.Web/recommendations/Read",
      "Microsoft.Web/sites/recommendations/Read",
      "microsoft.web/availablestacks/read",
      "microsoft.web/checknameavailability/read",
      "microsoft.web/classicmobileservices/read",
      "microsoft.web/deploymentlocations/read",
      "microsoft.web/hostingenvironments/capacities/read",
      "microsoft.web/hostingenvironments/diagnostics/read",
      "microsoft.web/hostingenvironments/metricdefinitions/read",
      "microsoft.web/hostingenvironments/multirolepools/metricdefinitions/read",
      "microsoft.web/hostingenvironments/multirolepools/metrics/read",
      "microsoft.web/hostingenvironments/multirolepools/skus/read",
      "microsoft.web/hostingenvironments/multirolepools/usages/read",
      "microsoft.web/hostingenvironments/operations/read",
      "microsoft.web/hostingenvironments/serverfarms/read",
      "microsoft.web/hostingenvironments/sites/read",
      "microsoft.web/hostingenvironments/usages/read",
      "microsoft.web/hostingenvironments/workerpools/metricdefinitions/read",
      "microsoft.web/hostingenvironments/workerpools/metrics/read",
      "microsoft.web/hostingenvironments/workerpools/skus/read",
      "microsoft.web/hostingenvironments/workerpools/usages/read",
      "microsoft.web/ishostingenvironmentnameavailable/read",
      "microsoft.web/ishostnameavailable/read",
      "microsoft.web/isusernameavailable/read",
      "microsoft.web/locations/apioperations/read",
      "microsoft.web/locations/connectiongatewayinstallations/read",
      "microsoft.web/locations/managedapis/read",
      "microsoft.web/locations/managedapis/apioperations/read",
      "microsoft.web/operations/read",
      "microsoft.web/publishingusers/read",
      "microsoft.web/serverfarms/capabilities/read",
      "microsoft.web/serverfarms/firstpartyapps/settings/read",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/sites/read",
      "microsoft.web/serverfarms/hybridconnectionplanlimits/read",
      "microsoft.web/serverfarms/hybridconnectionrelays/read",
      "microsoft.web/serverfarms/metricdefinitions/read",
      "microsoft.web/serverfarms/metrics/read",
      "microsoft.web/serverfarms/operationresults/read",
      "microsoft.web/serverfarms/sites/read",
      "microsoft.web/serverfarms/skus/read",
      "microsoft.web/serverfarms/usages/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/read",
      "microsoft.web/sites/analyzecustomhostname/read",
      "microsoft.web/sites/backup/read",
      "microsoft.web/sites/continuouswebjobs/read",
      "microsoft.web/sites/deployments/read",
      "microsoft.web/sites/deployments/log/read",
      "microsoft.web/sites/diagnostics/frebanalysis/read",
      "microsoft.web/sites/slots/diagnostics/frebanalysis/read",
      "microsoft.web/sites/diagnostics/read",
      "microsoft.web/sites/diagnostics/runtimeavailability/read",
      "microsoft.web/sites/diagnostics/servicehealth/read",
      "microsoft.web/sites/diagnostics/workeravailability/read",
      "microsoft.web/sites/slots/diagnostics/workeravailability/read",
      "microsoft.web/sites/diagnostics/workerprocessrecycle/read",
      "microsoft.web/sites/slots/diagnostics/workerprocessrecycle/read",
      "microsoft.web/sites/diagnostics/aspnetcore/read",
      "microsoft.web/sites/slots/diagnostics/aspnetcore/read",
      "microsoft.web/sites/domainownershipidentifiers/read",
      "microsoft.web/sites/functions/read",
      "microsoft.web/sites/hostnamebindings/read",
      "microsoft.web/sites/hybridconnection/read",
      "microsoft.web/sites/hybridconnectionrelays/read",
      "microsoft.web/sites/instances/deployments/read",
      "microsoft.web/sites/instances/processes/read",
      "microsoft.web/sites/instances/read",
      "microsoft.web/sites/metricdefinitions/read",
      "microsoft.web/sites/metrics/read",
      "microsoft.web/sites/operationresults/read",
      "microsoft.web/sites/perfcounters/read",
      "microsoft.web/sites/premieraddons/read",
      "microsoft.web/sites/publishxml/read",
      "microsoft.web/sites/recommendationhistory/read",
      "microsoft.web/sites/restore/read",
      "microsoft.web/sites/slots/analyzecustomhostname/read",
      "microsoft.web/sites/slots/backup/read",
      "microsoft.web/sites/slots/continuouswebjobs/read",
      "microsoft.web/sites/slots/deployments/read",
      "microsoft.web/sites/slots/deployments/log/read",
      "microsoft.web/sites/slots/hostnamebindings/read",
      "microsoft.web/sites/slots/hybridconnection/read",
      "microsoft.web/sites/slots/instances/deployments/read",
      "microsoft.web/sites/slots/instances/processes/read",
      "microsoft.web/sites/slots/instances/read",
      "microsoft.web/sites/slots/metricdefinitions/read",
      "microsoft.web/sites/slots/metrics/read",
      "microsoft.web/sites/slots/operationresults/read",
      "microsoft.web/sites/slots/phplogging/read",
      "microsoft.web/sites/slots/premieraddons/read",
      "microsoft.web/sites/slots/restore/read",
      "microsoft.web/sites/slots/triggeredwebjobs/read",
      "microsoft.web/sites/slots/usages/read",
      "microsoft.web/sites/slots/virtualnetworkconnections/read",
      "microsoft.web/sites/slots/webjobs/read",
      "microsoft.web/sites/snapshots/read",
      "microsoft.web/sites/triggeredwebjobs/read",
      "microsoft.web/sites/usages/read",
      "microsoft.web/sites/virtualnetworkconnections/read",
      "microsoft.web/sites/virtualnetworkconnections/gateways/read",
      "microsoft.web/sites/webjobs/read",
      "microsoft.web/skus/read",
      "microsoft.web/sourcecontrols/read",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/read",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/read",
      "microsoft.web/sites/metricsdefinitions/read",
      "microsoft.web/sites/migratemysql/read",
      "Microsoft.Web/deletedSites/Read",
      "microsoft.web/sites/siteextensions/read",
      "microsoft.web/sites/slots/hybridconnectionrelays/read",
      "microsoft.web/sites/slots/siteextensions/read",
      "microsoft.web/sites/slots/snapshots/read",
      "microsoft.web/sites/triggeredwebjobs/history/read",
      "microsoft.web/sites/diagnostics/deployment/read",
      "microsoft.web/sites/diagnostics/sitecpuanalysis/read",
      "microsoft.web/sites/diagnostics/sitelatency/read",
      "microsoft.web/sites/diagnostics/sitememoryanalysis/read",
      "microsoft.web/sites/diagnostics/threadcount/read",
      "microsoft.web/sites/slots/diagnostics/deployment/read",
      "microsoft.web/sites/slots/diagnostics/sitecpuanalysis/read",
      "microsoft.web/sites/slots/diagnostics/sitelatency/read",
      "microsoft.web/sites/slots/diagnostics/sitememoryanalysis/read",
      "microsoft.web/sites/slots/diagnostics/threadcount/read",
      "microsoft.web/sites/functions/masterkey/read",
      "microsoft.web/sites/operations/read",
      "microsoft.web/sites/resourcehealthmetadata/read",
      "microsoft.web/sites/slots/domainownershipidentifiers/read",
      "microsoft.web/sites/slots/operations/read",
      "microsoft.web/sites/slots/perfcounters/read",
      "microsoft.web/sites/slots/resourcehealthmetadata/read",
      "microsoft.web/apimanagementaccounts/apiacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/read",
      "microsoft.web/apimanagementaccounts/apis/read",
      "microsoft.web/apimanagementaccounts/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/apiacls/read",
      "microsoft.web/apimanagementaccounts/apis/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/read",
      "microsoft.web/sites/diagnostics/deployments/read",
      "microsoft.web/sites/slots/diagnostics/deployments/read",
      "microsoft.web/sites/diagnostics/loganalyzer/read",
      "microsoft.web/sites/slots/diagnostics/loganalyzer/read",
      "microsoft.web/sites/diagnostics/sitecrashes/read",
      "microsoft.web/sites/slots/diagnostics/sitecrashes/read",
      "microsoft.web/sites/diagnostics/siterestartsettingupdate/read",
      "microsoft.web/sites/slots/diagnostics/siterestartsettingupdate/read",
      "microsoft.web/sites/diagnostics/siterestartuserinitiated/read",
      "microsoft.web/sites/slots/diagnostics/siterestartuserinitiated/read",
      "microsoft.web/sites/diagnostics/siteswap/read",
      "microsoft.web/sites/slots/diagnostics/siteswap/read",
      "microsoft.web/sites/functions/token/read",
      "microsoft.web/sites/processes/read",
      "microsoft.web/sites/publiccertificates/read",
      "microsoft.web/sites/diagnostics/autoheal/read",
      "microsoft.web/sites/slots/diagnostics/autoheal/read",
      "microsoft.web/sites/slots/diagnostics/read",
      "microsoft.web/sites/slots/diagnostics/runtimeavailability/read",
      "microsoft.web/sites/slots/diagnostics/servicehealth/read",
      "microsoft.web/sites/slots/migratemysql/read",
      "microsoft.web/sites/diagnostics/failedrequestsperuri/read",
      "microsoft.web/sites/diagnostics/detectors/read",
      "microsoft.web/sites/diagnostics/analyses/read",
      "microsoft.web/sites/slots/diagnostics/analyses/read",
      "microsoft.web/sites/slots/diagnostics/detectors/read",
      "microsoft.web/resourcehealthmetadata/read",
      "microsoft.web/sites/slots/publiccertificates/read",
      "microsoft.web/hostingenvironments/inboundnetworkdependenciesendpoints/read",
      "microsoft.web/hostingenvironments/outboundnetworkdependenciesendpoints/read",
      "microsoft.web/hostingenvironments/detectors/read",
      "microsoft.web/sites/detectors/read",
      "microsoft.web/sites/instances/processes/threads/read",
      "microsoft.web/sites/privateaccess/read",
      "microsoft.web/sites/slots/detectors/read",
      "Microsoft.Web/sites/hostruntime/host/_master/read",
      "microsoft.web/sites/config/snapshots/read",
      "microsoft.web/sites/slots/functions/read",
      "microsoft.web/sites/hostruntime/functions/keys/read",
      "microsoft.web/sites/hostruntime/host/read",
      "microsoft.web/sites/instances/processes/modules/read",
      "microsoft.web/sites/slots/processes/read",
      "microsoft.web/sites/networktraces/operationresults/read",
      "microsoft.web/sites/slots/networktraces/operationresults/read",
      "microsoft.web/sites/processes/modules/read",
      "microsoft.web/sites/processes/threads/read",
      "microsoft.web/sites/extensions/read",
      "microsoft.web/sites/instances/extensions/read",
      "microsoft.web/sites/instances/extensions/log/read",
      "microsoft.web/sites/instances/extensions/processes/read",
    ]

    not_actions = [
      "Microsoft.CertificateRegistration/provisionGlobalAppServicePrincipalInUserTenant/Action",
      "Microsoft.CertificateRegistration/validateCertificateRegistrationInformation/Action",
      "Microsoft.CertificateRegistration/register/action",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Write",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Delete",
      "Microsoft.CertificateRegistration/certificateOrders/Write",
      "Microsoft.CertificateRegistration/certificateOrders/Delete",
      "Microsoft.CertificateRegistration/certificateOrders/reissue/Action",
      "Microsoft.CertificateRegistration/certificateOrders/renew/Action",
      "Microsoft.CertificateRegistration/certificateOrders/retrieveCertificateActions/Action",
      "Microsoft.CertificateRegistration/certificateOrders/retrieveEmailHistory/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendEmail/Action",
      "Microsoft.CertificateRegistration/certificateOrders/verifyDomainOwnership/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendRequestEmails/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendRequestEmails/Action",
      "microsoft.web/unregister/action",
      "microsoft.web/validate/action",
      "microsoft.web/register/action",
      "microsoft.web/verifyhostingenvironmentvnet/action",
      "Microsoft.Web/sites/Write",
      "Microsoft.Web/sites/Delete",
      "Microsoft.Web/sites/backup/Action",
      "Microsoft.Web/sites/publishxml/Action",
      "Microsoft.Web/sites/publish/Action",
      "Microsoft.Web/sites/restart/Action",
      "Microsoft.Web/sites/start/Action",
      "Microsoft.Web/sites/stop/Action",
      "Microsoft.Web/sites/slotsswap/Action",
      "Microsoft.Web/sites/slotsdiffs/Action",
      "Microsoft.Web/sites/applySlotConfig/Action",
      "Microsoft.Web/sites/resetSlotConfig/Action",
      "Microsoft.Web/sites/PrivateEndpointConnectionsApproval/action",
      "microsoft.web/sites/functions/action",
      "microsoft.web/sites/listsyncfunctiontriggerstatus/action",
      "microsoft.web/sites/networktrace/action",
      "microsoft.web/sites/newpassword/action",
      "microsoft.web/sites/sync/action",
      "microsoft.web/sites/migratemysql/action",
      "microsoft.web/sites/recover/action",
      "microsoft.web/sites/restoresnapshot/action",
      "microsoft.web/sites/restorefromdeletedwebapp/action",
      "microsoft.web/sites/syncfunctiontriggers/action",
      "microsoft.web/sites/backups/action",
      "microsoft.web/sites/containerlogs/action",
      "microsoft.web/sites/restorefrombackupblob/action",
      "Microsoft.Web/sites/slots/Write",
      "Microsoft.Web/sites/slots/Delete",
      "Microsoft.Web/sites/slots/backup/Action",
      "Microsoft.Web/sites/slots/publishxml/Action",
      "Microsoft.Web/sites/slots/publish/Action",
      "Microsoft.Web/sites/slots/restart/Action",
      "Microsoft.Web/sites/slots/start/Action",
      "Microsoft.Web/sites/slots/stop/Action",
      "Microsoft.Web/sites/slots/slotsswap/Action",
      "Microsoft.Web/sites/slots/slotsdiffs/Action",
      "Microsoft.Web/sites/slots/applySlotConfig/Action",
      "Microsoft.Web/sites/slots/resetSlotConfig/Action",
      "microsoft.web/sites/slots/newpassword/action",
      "microsoft.web/sites/slots/sync/action",
      "microsoft.web/sites/slots/networktrace/action",
      "microsoft.web/sites/slots/recover/action",
      "microsoft.web/sites/slots/restoresnapshot/action",
      "microsoft.web/sites/slots/restorefromdeletedwebapp/action",
      "microsoft.web/sites/slots/backups/action",
      "microsoft.web/sites/slots/containerlogs/action",
      "microsoft.web/sites/slots/restorefrombackupblob/action",
      "Microsoft.Web/sites/slots/config/list/Action",
      "Microsoft.Web/sites/slots/config/Write",
      "microsoft.web/sites/slots/config/delete",
      "Microsoft.Web/sites/config/list/Action",
      "Microsoft.Web/sites/config/Write",
      "microsoft.web/sites/config/delete",
      "Microsoft.Web/sites/sourcecontrols/Write",
      "Microsoft.Web/sites/sourcecontrols/Delete",
      "Microsoft.Web/sites/slots/sourcecontrols/Write",
      "Microsoft.Web/sites/slots/sourcecontrols/Delete",
      "microsoft.web/sites/backups/list/action",
      "microsoft.web/sites/backups/restore/action",
      "microsoft.web/sites/backups/delete",
      "microsoft.web/sites/backups/write",
      "microsoft.web/sites/slots/backups/list/action",
      "microsoft.web/sites/slots/backups/restore/action",
      "microsoft.web/sites/slots/backups/delete",
      "Microsoft.Web/serverfarms/Write",
      "Microsoft.Web/serverfarms/Delete",
      "Microsoft.Web/serverfarms/restartSites/Action",
      "Microsoft.Web/certificates/Write",
      "Microsoft.Web/certificates/Delete",
      "Microsoft.Web/hostingEnvironments/Write",
      "Microsoft.Web/hostingEnvironments/Delete",
      "Microsoft.Web/hostingEnvironments/Join/Action",
      "Microsoft.Web/hostingEnvironments/reboot/Action",
      "Microsoft.Web/hostingEnvironments/PrivateEndpointConnectionsApproval/action",
      "microsoft.web/hostingenvironments/resume/action",
      "microsoft.web/hostingenvironments/suspend/action",
      "Microsoft.Web/hostingEnvironments/multiRolePools/Write",
      "Microsoft.Web/hostingEnvironments/workerPools/Write",
      "Microsoft.Web/connections/Write",
      "Microsoft.Web/connections/Delete",
      "Microsoft.Web/connections/Move/Action",
      "Microsoft.Web/connections/Join/Action",
      "microsoft.web/connections/confirmconsentcode/action",
      "microsoft.web/connections/listconsentlinks/action",
      "Microsoft.Web/customApis/Write",
      "Microsoft.Web/customApis/Delete",
      "Microsoft.Web/customApis/Move/Action",
      "Microsoft.Web/customApis/Join/Action",
      "Microsoft.Web/customApis/extractApiDefinitionFromWsdl/Action",
      "Microsoft.Web/customApis/listWsdlInterfaces/Action",
      "Microsoft.Web/connectionGateways/Write",
      "Microsoft.Web/connectionGateways/Delete",
      "Microsoft.Web/connectionGateways/Move/Action",
      "Microsoft.Web/connectionGateways/Join/Action",
      "Microsoft.Web/connectionGateways/ListStatus/Action",
      "microsoft.web/sites/recommendations/disable/action",
      "Microsoft.Web/locations/managedapis/Join/Action",
      "microsoft.web/publishingusers/write",
      "microsoft.web/serverfarms/firstpartyapps/settings/delete",
      "microsoft.web/serverfarms/firstpartyapps/settings/write",
      "microsoft.web/serverfarms/virtualnetworkconnections/gateways/write",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/delete",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/write",
      "microsoft.web/serverfarms/workers/reboot/action",
      "microsoft.web/sites/backup/write",
      "microsoft.web/sites/continuouswebjobs/delete",
      "microsoft.web/sites/continuouswebjobs/start/action",
      "microsoft.web/sites/continuouswebjobs/stop/action",
      "microsoft.web/sites/deployments/delete",
      "microsoft.web/sites/deployments/write",
      "microsoft.web/sites/domainownershipidentifiers/write",
      "microsoft.web/sites/functions/delete",
      "microsoft.web/sites/functions/listsecrets/action",
      "microsoft.web/sites/functions/write",
      "microsoft.web/sites/hostnamebindings/delete",
      "microsoft.web/sites/hostnamebindings/write",
      "microsoft.web/sites/hybridconnection/delete",
      "microsoft.web/sites/hybridconnection/write",
      "microsoft.web/sites/instances/deployments/delete",
      "microsoft.web/sites/instances/processes/delete",
      "microsoft.web/sites/premieraddons/delete",
      "microsoft.web/sites/premieraddons/write",
      "microsoft.web/sites/restore/write",
      "microsoft.web/sites/slots/backup/write",
      "microsoft.web/sites/slots/continuouswebjobs/delete",
      "microsoft.web/sites/slots/continuouswebjobs/start/action",
      "microsoft.web/sites/slots/continuouswebjobs/stop/action",
      "microsoft.web/sites/slots/deployments/delete",
      "microsoft.web/sites/slots/deployments/write",
      "microsoft.web/sites/slots/hostnamebindings/delete",
      "microsoft.web/sites/slots/hostnamebindings/write",
      "microsoft.web/sites/slots/hybridconnection/delete",
      "microsoft.web/sites/slots/hybridconnection/write",
      "microsoft.web/sites/slots/instances/processes/delete",
      "microsoft.web/sites/slots/premieraddons/delete",
      "microsoft.web/sites/slots/premieraddons/write",
      "microsoft.web/sites/slots/restore/write",
      "microsoft.web/sites/slots/triggeredwebjobs/delete",
      "microsoft.web/sites/slots/triggeredwebjobs/run/action",
      "microsoft.web/sites/slots/virtualnetworkconnections/delete",
      "microsoft.web/sites/slots/virtualnetworkconnections/write",
      "microsoft.web/sites/slots/virtualnetworkconnections/gateways/write",
      "microsoft.web/sites/triggeredwebjobs/delete",
      "microsoft.web/sites/triggeredwebjobs/run/action",
      "microsoft.web/sites/virtualnetworkconnections/delete",
      "microsoft.web/sites/virtualnetworkconnections/write",
      "microsoft.web/sites/virtualnetworkconnections/gateways/write",
      "microsoft.web/sourcecontrols/write",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/listkeys/action",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/write",
      "microsoft.web/sites/siteextensions/delete",
      "microsoft.web/sites/siteextensions/write",
      "microsoft.web/sites/slots/siteextensions/delete",
      "microsoft.web/sites/slots/siteextensions/write",
      "microsoft.web/sites/slots/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/slots/hybridconnectionnamespaces/relays/write",
      "microsoft.web/apimanagementaccounts/apis/connections/confirmconsentcode/action",
      "microsoft.web/apimanagementaccounts/apis/connections/delete",
      "microsoft.web/apimanagementaccounts/apis/connections/getconsentlinks/action",
      "microsoft.web/apimanagementaccounts/apis/connections/write",
      "microsoft.web/apimanagementaccounts/apis/connections/listconnectionkeys/action",
      "microsoft.web/apimanagementaccounts/apis/connections/listsecrets/action",
      "microsoft.web/apimanagementaccounts/apis/delete",
      "microsoft.web/apimanagementaccounts/apis/write",
      "microsoft.web/apimanagementaccounts/apis/apiacls/delete",
      "microsoft.web/apimanagementaccounts/apis/apiacls/write",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/delete",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/write",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/delete",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/write",
      "microsoft.web/sites/publiccertificates/delete",
      "microsoft.web/sites/publiccertificates/write",
      "microsoft.web/sites/diagnostics/detectors/execute/Action",
      "microsoft.web/sites/diagnostics/analyses/execute/Action",
      "microsoft.web/sites/slots/diagnostics/analyses/execute/Action",
      "microsoft.web/sites/slots/diagnostics/detectors/execute/Action",
      "microsoft.web/locations/extractapidefinitionfromwsdl/action",
      "microsoft.web/locations/listwsdlinterfaces/action",
      "microsoft.web/locations/deleteVirtualNetworkOrSubnets/action",
      "microsoft.web/sites/slots/publiccertificates/write",
      "microsoft.web/sites/slots/publiccertificates/delete",
      "Microsoft.Web/sites/hostruntime/host/action",
      "microsoft.web/sites/slots/functions/listsecrets/action",
      "microsoft.web/sites/containerlogs/download/action",
      "microsoft.web/sites/slots/containerlogs/download/action",
      "microsoft.web/sites/extensions/delete",
      "microsoft.web/sites/extensions/write",
    ]
  }
}

// NoAccess
resource "azurerm_role_definition" "app_service_noaccess_definition" {
  name              = "app-service-noaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = []

    not_actions = [
      "Microsoft.CertificateRegistration/provisionGlobalAppServicePrincipalInUserTenant/Action",
      "Microsoft.CertificateRegistration/validateCertificateRegistrationInformation/Action",
      "Microsoft.CertificateRegistration/register/action",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Write",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Delete",
      "Microsoft.CertificateRegistration/certificateOrders/certificates/Read",
      "Microsoft.CertificateRegistration/certificateOrders/Write",
      "Microsoft.CertificateRegistration/certificateOrders/Delete",
      "Microsoft.CertificateRegistration/certificateOrders/Read",
      "Microsoft.CertificateRegistration/certificateOrders/reissue/Action",
      "Microsoft.CertificateRegistration/certificateOrders/renew/Action",
      "Microsoft.CertificateRegistration/certificateOrders/retrieveCertificateActions/Action",
      "Microsoft.CertificateRegistration/certificateOrders/retrieveEmailHistory/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendEmail/Action",
      "Microsoft.CertificateRegistration/certificateOrders/verifyDomainOwnership/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendRequestEmails/Action",
      "Microsoft.CertificateRegistration/certificateOrders/resendRequestEmails/Action",
      "Microsoft.CertificateRegistration/operations/Read",
      "microsoft.web/unregister/action",
      "microsoft.web/validate/action",
      "microsoft.web/register/action",
      "microsoft.web/verifyhostingenvironmentvnet/action",
      "Microsoft.Web/sites/Read",
      "Microsoft.Web/sites/Write",
      "Microsoft.Web/sites/Delete",
      "Microsoft.Web/sites/backup/Action",
      "Microsoft.Web/sites/publishxml/Action",
      "Microsoft.Web/sites/publish/Action",
      "Microsoft.Web/sites/restart/Action",
      "Microsoft.Web/sites/start/Action",
      "Microsoft.Web/sites/stop/Action",
      "Microsoft.Web/sites/slotsswap/Action",
      "Microsoft.Web/sites/slotsdiffs/Action",
      "Microsoft.Web/sites/applySlotConfig/Action",
      "Microsoft.Web/sites/resetSlotConfig/Action",
      "Microsoft.Web/sites/PrivateEndpointConnectionsApproval/action",
      "microsoft.web/sites/functions/action",
      "microsoft.web/sites/listsyncfunctiontriggerstatus/action",
      "microsoft.web/sites/networktrace/action",
      "microsoft.web/sites/newpassword/action",
      "microsoft.web/sites/sync/action",
      "microsoft.web/sites/migratemysql/action",
      "microsoft.web/sites/recover/action",
      "microsoft.web/sites/restoresnapshot/action",
      "microsoft.web/sites/restorefromdeletedwebapp/action",
      "microsoft.web/sites/syncfunctiontriggers/action",
      "microsoft.web/sites/backups/action",
      "microsoft.web/sites/containerlogs/action",
      "microsoft.web/sites/restorefrombackupblob/action",
      "Microsoft.Web/sites/slots/Write",
      "Microsoft.Web/sites/slots/Delete",
      "Microsoft.Web/sites/slots/backup/Action",
      "Microsoft.Web/sites/slots/publishxml/Action",
      "Microsoft.Web/sites/slots/publish/Action",
      "Microsoft.Web/sites/slots/restart/Action",
      "Microsoft.Web/sites/slots/start/Action",
      "Microsoft.Web/sites/slots/stop/Action",
      "Microsoft.Web/sites/slots/slotsswap/Action",
      "Microsoft.Web/sites/slots/slotsdiffs/Action",
      "Microsoft.Web/sites/slots/applySlotConfig/Action",
      "Microsoft.Web/sites/slots/resetSlotConfig/Action",
      "Microsoft.Web/sites/slots/Read",
      "microsoft.web/sites/slots/newpassword/action",
      "microsoft.web/sites/slots/sync/action",
      "microsoft.web/sites/slots/networktrace/action",
      "microsoft.web/sites/slots/recover/action",
      "microsoft.web/sites/slots/restoresnapshot/action",
      "microsoft.web/sites/slots/restorefromdeletedwebapp/action",
      "microsoft.web/sites/slots/backups/action",
      "microsoft.web/sites/slots/containerlogs/action",
      "microsoft.web/sites/slots/restorefrombackupblob/action",
      "Microsoft.Web/sites/slots/config/Read",
      "Microsoft.Web/sites/slots/config/list/Action",
      "Microsoft.Web/sites/slots/config/Write",
      "microsoft.web/sites/slots/config/delete",
      "Microsoft.Web/sites/config/Read",
      "Microsoft.Web/sites/config/list/Action",
      "Microsoft.Web/sites/config/Write",
      "microsoft.web/sites/config/delete",
      "Microsoft.Web/sites/sourcecontrols/Read",
      "Microsoft.Web/sites/sourcecontrols/Write",
      "Microsoft.Web/sites/sourcecontrols/Delete",
      "Microsoft.Web/sites/slots/sourcecontrols/Read",
      "Microsoft.Web/sites/slots/sourcecontrols/Write",
      "Microsoft.Web/sites/slots/sourcecontrols/Delete",
      "Microsoft.Web/sites/backups/Read",
      "microsoft.web/sites/backups/list/action",
      "microsoft.web/sites/backups/restore/action",
      "microsoft.web/sites/backups/delete",
      "microsoft.web/sites/backups/write",
      "Microsoft.Web/sites/slots/backups/Read",
      "microsoft.web/sites/slots/backups/list/action",
      "microsoft.web/sites/slots/backups/restore/action",
      "microsoft.web/sites/slots/backups/delete",
      "Microsoft.Web/serverfarms/Read",
      "Microsoft.Web/serverfarms/Write",
      "Microsoft.Web/serverfarms/Delete",
      "Microsoft.Web/serverfarms/restartSites/Action",
      "Microsoft.Web/certificates/Read",
      "Microsoft.Web/certificates/Write",
      "Microsoft.Web/certificates/Delete",
      "Microsoft.Web/geoRegions/Read",
      "Microsoft.Web/listSitesAssignedToHostName/Read",
      "Microsoft.Web/hostingEnvironments/Read",
      "Microsoft.Web/hostingEnvironments/Write",
      "Microsoft.Web/hostingEnvironments/Delete",
      "Microsoft.Web/hostingEnvironments/Join/Action",
      "Microsoft.Web/hostingEnvironments/reboot/Action",
      "Microsoft.Web/hostingEnvironments/PrivateEndpointConnectionsApproval/action",
      "microsoft.web/hostingenvironments/resume/action",
      "microsoft.web/hostingenvironments/suspend/action",
      "Microsoft.Web/hostingEnvironments/multiRolePools/Read",
      "Microsoft.Web/hostingEnvironments/multiRolePools/Write",
      "Microsoft.Web/hostingEnvironments/workerPools/Read",
      "Microsoft.Web/hostingEnvironments/workerPools/Write",
      "Microsoft.Web/connections/Read",
      "Microsoft.Web/connections/Write",
      "Microsoft.Web/connections/Delete",
      "Microsoft.Web/connections/Move/Action",
      "Microsoft.Web/connections/Join/Action",
      "microsoft.web/connections/confirmconsentcode/action",
      "microsoft.web/connections/listconsentlinks/action",
      "Microsoft.Web/customApis/Read",
      "Microsoft.Web/customApis/Write",
      "Microsoft.Web/customApis/Delete",
      "Microsoft.Web/customApis/Move/Action",
      "Microsoft.Web/customApis/Join/Action",
      "Microsoft.Web/customApis/extractApiDefinitionFromWsdl/Action",
      "Microsoft.Web/customApis/listWsdlInterfaces/Action",
      "Microsoft.Web/connectionGateways/Read",
      "Microsoft.Web/connectionGateways/Write",
      "Microsoft.Web/connectionGateways/Delete",
      "Microsoft.Web/connectionGateways/Move/Action",
      "Microsoft.Web/connectionGateways/Join/Action",
      "Microsoft.Web/connectionGateways/ListStatus/Action",
      "Microsoft.Web/recommendations/Read",
      "Microsoft.Web/sites/recommendations/Read",
      "microsoft.web/sites/recommendations/disable/action",
      "microsoft.web/availablestacks/read",
      "microsoft.web/checknameavailability/read",
      "microsoft.web/classicmobileservices/read",
      "microsoft.web/deploymentlocations/read",
      "microsoft.web/hostingenvironments/capacities/read",
      "microsoft.web/hostingenvironments/diagnostics/read",
      "microsoft.web/hostingenvironments/metricdefinitions/read",
      "microsoft.web/hostingenvironments/multirolepools/metricdefinitions/read",
      "microsoft.web/hostingenvironments/multirolepools/metrics/read",
      "microsoft.web/hostingenvironments/multirolepools/skus/read",
      "microsoft.web/hostingenvironments/multirolepools/usages/read",
      "microsoft.web/hostingenvironments/operations/read",
      "microsoft.web/hostingenvironments/serverfarms/read",
      "microsoft.web/hostingenvironments/sites/read",
      "microsoft.web/hostingenvironments/usages/read",
      "microsoft.web/hostingenvironments/workerpools/metricdefinitions/read",
      "microsoft.web/hostingenvironments/workerpools/metrics/read",
      "microsoft.web/hostingenvironments/workerpools/skus/read",
      "microsoft.web/hostingenvironments/workerpools/usages/read",
      "microsoft.web/ishostingenvironmentnameavailable/read",
      "microsoft.web/ishostnameavailable/read",
      "microsoft.web/isusernameavailable/read",
      "microsoft.web/locations/apioperations/read",
      "microsoft.web/locations/connectiongatewayinstallations/read",
      "microsoft.web/locations/managedapis/read",
      "Microsoft.Web/locations/managedapis/Join/Action",
      "microsoft.web/locations/managedapis/apioperations/read",
      "microsoft.web/operations/read",
      "microsoft.web/publishingusers/read",
      "microsoft.web/publishingusers/write",
      "microsoft.web/serverfarms/capabilities/read",
      "microsoft.web/serverfarms/firstpartyapps/settings/delete",
      "microsoft.web/serverfarms/firstpartyapps/settings/read",
      "microsoft.web/serverfarms/firstpartyapps/settings/write",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/sites/read",
      "microsoft.web/serverfarms/hybridconnectionplanlimits/read",
      "microsoft.web/serverfarms/hybridconnectionrelays/read",
      "microsoft.web/serverfarms/metricdefinitions/read",
      "microsoft.web/serverfarms/metrics/read",
      "microsoft.web/serverfarms/operationresults/read",
      "microsoft.web/serverfarms/sites/read",
      "microsoft.web/serverfarms/skus/read",
      "microsoft.web/serverfarms/usages/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/gateways/write",
      "microsoft.web/serverfarms/virtualnetworkconnections/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/delete",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/read",
      "microsoft.web/serverfarms/virtualnetworkconnections/routes/write",
      "microsoft.web/serverfarms/workers/reboot/action",
      "microsoft.web/sites/analyzecustomhostname/read",
      "microsoft.web/sites/backup/read",
      "microsoft.web/sites/backup/write",
      "microsoft.web/sites/continuouswebjobs/delete",
      "microsoft.web/sites/continuouswebjobs/read",
      "microsoft.web/sites/continuouswebjobs/start/action",
      "microsoft.web/sites/continuouswebjobs/stop/action",
      "microsoft.web/sites/deployments/delete",
      "microsoft.web/sites/deployments/read",
      "microsoft.web/sites/deployments/write",
      "microsoft.web/sites/deployments/log/read",
      "microsoft.web/sites/diagnostics/frebanalysis/read",
      "microsoft.web/sites/slots/diagnostics/frebanalysis/read",
      "microsoft.web/sites/diagnostics/read",
      "microsoft.web/sites/diagnostics/runtimeavailability/read",
      "microsoft.web/sites/diagnostics/servicehealth/read",
      "microsoft.web/sites/diagnostics/workeravailability/read",
      "microsoft.web/sites/slots/diagnostics/workeravailability/read",
      "microsoft.web/sites/diagnostics/workerprocessrecycle/read",
      "microsoft.web/sites/slots/diagnostics/workerprocessrecycle/read",
      "microsoft.web/sites/diagnostics/aspnetcore/read",
      "microsoft.web/sites/slots/diagnostics/aspnetcore/read",
      "microsoft.web/sites/domainownershipidentifiers/read",
      "microsoft.web/sites/domainownershipidentifiers/write",
      "microsoft.web/sites/functions/delete",
      "microsoft.web/sites/functions/listsecrets/action",
      "microsoft.web/sites/functions/read",
      "microsoft.web/sites/functions/write",
      "microsoft.web/sites/hostnamebindings/delete",
      "microsoft.web/sites/hostnamebindings/read",
      "microsoft.web/sites/hostnamebindings/write",
      "microsoft.web/sites/hybridconnection/delete",
      "microsoft.web/sites/hybridconnection/read",
      "microsoft.web/sites/hybridconnection/write",
      "microsoft.web/sites/hybridconnectionrelays/read",
      "microsoft.web/sites/instances/deployments/read",
      "microsoft.web/sites/instances/deployments/delete",
      "microsoft.web/sites/instances/processes/delete",
      "microsoft.web/sites/instances/processes/read",
      "microsoft.web/sites/instances/read",
      "microsoft.web/sites/metricdefinitions/read",
      "microsoft.web/sites/metrics/read",
      "microsoft.web/sites/operationresults/read",
      "microsoft.web/sites/perfcounters/read",
      "microsoft.web/sites/premieraddons/delete",
      "microsoft.web/sites/premieraddons/read",
      "microsoft.web/sites/premieraddons/write",
      "microsoft.web/sites/publishxml/read",
      "microsoft.web/sites/recommendationhistory/read",
      "microsoft.web/sites/restore/read",
      "microsoft.web/sites/restore/write",
      "microsoft.web/sites/slots/analyzecustomhostname/read",
      "microsoft.web/sites/slots/backup/write",
      "microsoft.web/sites/slots/backup/read",
      "microsoft.web/sites/slots/continuouswebjobs/delete",
      "microsoft.web/sites/slots/continuouswebjobs/read",
      "microsoft.web/sites/slots/continuouswebjobs/start/action",
      "microsoft.web/sites/slots/continuouswebjobs/stop/action",
      "microsoft.web/sites/slots/deployments/delete",
      "microsoft.web/sites/slots/deployments/read",
      "microsoft.web/sites/slots/deployments/write",
      "microsoft.web/sites/slots/deployments/log/read",
      "microsoft.web/sites/slots/hostnamebindings/delete",
      "microsoft.web/sites/slots/hostnamebindings/read",
      "microsoft.web/sites/slots/hostnamebindings/write",
      "microsoft.web/sites/slots/hybridconnection/delete",
      "microsoft.web/sites/slots/hybridconnection/read",
      "microsoft.web/sites/slots/hybridconnection/write",
      "microsoft.web/sites/slots/instances/deployments/read",
      "microsoft.web/sites/slots/instances/processes/read",
      "microsoft.web/sites/slots/instances/processes/delete",
      "microsoft.web/sites/slots/instances/read",
      "microsoft.web/sites/slots/metricdefinitions/read",
      "microsoft.web/sites/slots/metrics/read",
      "microsoft.web/sites/slots/operationresults/read",
      "microsoft.web/sites/slots/phplogging/read",
      "microsoft.web/sites/slots/premieraddons/delete",
      "microsoft.web/sites/slots/premieraddons/read",
      "microsoft.web/sites/slots/premieraddons/write",
      "microsoft.web/sites/slots/restore/read",
      "microsoft.web/sites/slots/restore/write",
      "microsoft.web/sites/slots/triggeredwebjobs/delete",
      "microsoft.web/sites/slots/triggeredwebjobs/read",
      "microsoft.web/sites/slots/triggeredwebjobs/run/action",
      "microsoft.web/sites/slots/usages/read",
      "microsoft.web/sites/slots/virtualnetworkconnections/delete",
      "microsoft.web/sites/slots/virtualnetworkconnections/read",
      "microsoft.web/sites/slots/virtualnetworkconnections/write",
      "microsoft.web/sites/slots/virtualnetworkconnections/gateways/write",
      "microsoft.web/sites/slots/webjobs/read",
      "microsoft.web/sites/snapshots/read",
      "microsoft.web/sites/triggeredwebjobs/delete",
      "microsoft.web/sites/triggeredwebjobs/read",
      "microsoft.web/sites/triggeredwebjobs/run/action",
      "microsoft.web/sites/usages/read",
      "microsoft.web/sites/virtualnetworkconnections/delete",
      "microsoft.web/sites/virtualnetworkconnections/read",
      "microsoft.web/sites/virtualnetworkconnections/write",
      "microsoft.web/sites/virtualnetworkconnections/gateways/read",
      "microsoft.web/sites/virtualnetworkconnections/gateways/write",
      "microsoft.web/sites/webjobs/read",
      "microsoft.web/skus/read",
      "microsoft.web/sourcecontrols/read",
      "microsoft.web/sourcecontrols/write",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/read",
      "microsoft.web/serverfarms/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/listkeys/action",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/write",
      "microsoft.web/sites/hybridconnectionnamespaces/relays/read",
      "microsoft.web/sites/metricsdefinitions/read",
      "microsoft.web/sites/migratemysql/read",
      "Microsoft.Web/deletedSites/Read",
      "microsoft.web/sites/siteextensions/delete",
      "microsoft.web/sites/siteextensions/read",
      "microsoft.web/sites/siteextensions/write",
      "microsoft.web/sites/slots/hybridconnectionrelays/read",
      "microsoft.web/sites/slots/siteextensions/delete",
      "microsoft.web/sites/slots/siteextensions/read",
      "microsoft.web/sites/slots/siteextensions/write",
      "microsoft.web/sites/slots/snapshots/read",
      "microsoft.web/sites/triggeredwebjobs/history/read",
      "microsoft.web/sites/diagnostics/deployment/read",
      "microsoft.web/sites/diagnostics/sitecpuanalysis/read",
      "microsoft.web/sites/diagnostics/sitelatency/read",
      "microsoft.web/sites/diagnostics/sitememoryanalysis/read",
      "microsoft.web/sites/diagnostics/threadcount/read",
      "microsoft.web/sites/slots/diagnostics/deployment/read",
      "microsoft.web/sites/slots/diagnostics/sitecpuanalysis/read",
      "microsoft.web/sites/slots/diagnostics/sitelatency/read",
      "microsoft.web/sites/slots/diagnostics/sitememoryanalysis/read",
      "microsoft.web/sites/slots/diagnostics/threadcount/read",
      "microsoft.web/sites/functions/masterkey/read",
      "microsoft.web/sites/operations/read",
      "microsoft.web/sites/resourcehealthmetadata/read",
      "microsoft.web/sites/slots/domainownershipidentifiers/read",
      "microsoft.web/sites/slots/hybridconnectionnamespaces/relays/delete",
      "microsoft.web/sites/slots/hybridconnectionnamespaces/relays/write",
      "microsoft.web/sites/slots/operations/read",
      "microsoft.web/sites/slots/perfcounters/read",
      "microsoft.web/sites/slots/resourcehealthmetadata/read",
      "microsoft.web/apimanagementaccounts/apiacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/read",
      "microsoft.web/apimanagementaccounts/apis/connections/confirmconsentcode/action",
      "microsoft.web/apimanagementaccounts/apis/connections/delete",
      "microsoft.web/apimanagementaccounts/apis/connections/getconsentlinks/action",
      "microsoft.web/apimanagementaccounts/apis/connections/write",
      "microsoft.web/apimanagementaccounts/apis/connections/listconnectionkeys/action",
      "microsoft.web/apimanagementaccounts/apis/connections/listsecrets/action",
      "microsoft.web/apimanagementaccounts/apis/read",
      "microsoft.web/apimanagementaccounts/apis/delete",
      "microsoft.web/apimanagementaccounts/apis/write",
      "microsoft.web/apimanagementaccounts/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/apiacls/delete",
      "microsoft.web/apimanagementaccounts/apis/apiacls/read",
      "microsoft.web/apimanagementaccounts/apis/apiacls/write",
      "microsoft.web/apimanagementaccounts/apis/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/delete",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/read",
      "microsoft.web/apimanagementaccounts/apis/connections/connectionacls/write",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/delete",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/read",
      "microsoft.web/apimanagementaccounts/apis/localizeddefinitions/write",
      "microsoft.web/sites/diagnostics/deployments/read",
      "microsoft.web/sites/slots/diagnostics/deployments/read",
      "microsoft.web/sites/diagnostics/loganalyzer/read",
      "microsoft.web/sites/slots/diagnostics/loganalyzer/read",
      "microsoft.web/sites/diagnostics/sitecrashes/read",
      "microsoft.web/sites/slots/diagnostics/sitecrashes/read",
      "microsoft.web/sites/diagnostics/siterestartsettingupdate/read",
      "microsoft.web/sites/slots/diagnostics/siterestartsettingupdate/read",
      "microsoft.web/sites/diagnostics/siterestartuserinitiated/read",
      "microsoft.web/sites/slots/diagnostics/siterestartuserinitiated/read",
      "microsoft.web/sites/diagnostics/siteswap/read",
      "microsoft.web/sites/slots/diagnostics/siteswap/read",
      "microsoft.web/sites/functions/token/read",
      "microsoft.web/sites/processes/read",
      "microsoft.web/sites/publiccertificates/delete",
      "microsoft.web/sites/publiccertificates/read",
      "microsoft.web/sites/publiccertificates/write",
      "microsoft.web/sites/diagnostics/autoheal/read",
      "microsoft.web/sites/slots/diagnostics/autoheal/read",
      "microsoft.web/sites/slots/diagnostics/read",
      "microsoft.web/sites/slots/diagnostics/runtimeavailability/read",
      "microsoft.web/sites/slots/diagnostics/servicehealth/read",
      "microsoft.web/sites/slots/migratemysql/read",
      "microsoft.web/sites/diagnostics/failedrequestsperuri/read",
      "microsoft.web/sites/diagnostics/detectors/read",
      "microsoft.web/sites/diagnostics/detectors/execute/Action",
      "microsoft.web/sites/diagnostics/analyses/read",
      "microsoft.web/sites/diagnostics/analyses/execute/Action",
      "microsoft.web/sites/slots/diagnostics/analyses/read",
      "microsoft.web/sites/slots/diagnostics/analyses/execute/Action",
      "microsoft.web/sites/slots/diagnostics/detectors/read",
      "microsoft.web/sites/slots/diagnostics/detectors/execute/Action",
      "microsoft.web/locations/extractapidefinitionfromwsdl/action",
      "microsoft.web/locations/listwsdlinterfaces/action",
      "microsoft.web/locations/deleteVirtualNetworkOrSubnets/action",
      "microsoft.web/resourcehealthmetadata/read",
      "microsoft.web/sites/slots/publiccertificates/read",
      "microsoft.web/sites/slots/publiccertificates/write",
      "microsoft.web/sites/slots/publiccertificates/delete",
      "microsoft.web/hostingenvironments/inboundnetworkdependenciesendpoints/read",
      "microsoft.web/hostingenvironments/outboundnetworkdependenciesendpoints/read",
      "microsoft.web/hostingenvironments/detectors/read",
      "microsoft.web/sites/detectors/read",
      "microsoft.web/sites/instances/processes/threads/read",
      "microsoft.web/sites/privateaccess/read",
      "microsoft.web/sites/slots/detectors/read",
      "Microsoft.Web/sites/hostruntime/host/_master/read",
      "Microsoft.Web/sites/hostruntime/host/action",
      "microsoft.web/sites/config/snapshots/read",
      "microsoft.web/sites/slots/functions/read",
      "microsoft.web/sites/slots/functions/listsecrets/action",
      "microsoft.web/sites/containerlogs/download/action",
      "microsoft.web/sites/hostruntime/functions/keys/read",
      "microsoft.web/sites/hostruntime/host/read",
      "microsoft.web/sites/instances/processes/modules/read",
      "microsoft.web/sites/slots/containerlogs/download/action",
      "microsoft.web/sites/slots/processes/read",
      "microsoft.web/sites/networktraces/operationresults/read",
      "microsoft.web/sites/slots/networktraces/operationresults/read",
      "microsoft.web/sites/processes/modules/read",
      "microsoft.web/sites/processes/threads/read",
      "microsoft.web/sites/extensions/delete",
      "microsoft.web/sites/extensions/read",
      "microsoft.web/sites/extensions/write",
      "microsoft.web/sites/instances/extensions/read",
      "microsoft.web/sites/instances/extensions/log/read",
      "microsoft.web/sites/instances/extensions/processes/read",
    ]
  }
}
